// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.ListGameSessionsRequest}
 */
public  final class ListGameSessionsRequest extends
    com.google.protobuf.GeneratedMessageLite<
        ListGameSessionsRequest, ListGameSessionsRequest.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.ListGameSessionsRequest)
    ListGameSessionsRequestOrBuilder {
  private ListGameSessionsRequest() {
  }
  public static final int PAGINATION_OPTION_FIELD_NUMBER = 1;
  private gg.dsepractice.chinese.v1alpha1.PaginationOption paginationOption_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
   */
  @java.lang.Override
  public boolean hasPaginationOption() {
    return paginationOption_ != null;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.PaginationOption getPaginationOption() {
    return paginationOption_ == null ? gg.dsepractice.chinese.v1alpha1.PaginationOption.getDefaultInstance() : paginationOption_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
   */
  private void setPaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
    value.getClass();
  paginationOption_ = value;
    
    }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergePaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
    value.getClass();
  if (paginationOption_ != null &&
        paginationOption_ != gg.dsepractice.chinese.v1alpha1.PaginationOption.getDefaultInstance()) {
      paginationOption_ =
        gg.dsepractice.chinese.v1alpha1.PaginationOption.newBuilder(paginationOption_).mergeFrom(value).buildPartial();
    } else {
      paginationOption_ = value;
    }
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
   */
  private void clearPaginationOption() {  paginationOption_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.ListGameSessionsRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.ListGameSessionsRequest)
      gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequestOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    @java.lang.Override
    public boolean hasPaginationOption() {
      return instance.hasPaginationOption();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.PaginationOption getPaginationOption() {
      return instance.getPaginationOption();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    public Builder setPaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
      copyOnWrite();
      instance.setPaginationOption(value);
      return this;
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    public Builder setPaginationOption(
        gg.dsepractice.chinese.v1alpha1.PaginationOption.Builder builderForValue) {
      copyOnWrite();
      instance.setPaginationOption(builderForValue.build());
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    public Builder mergePaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
      copyOnWrite();
      instance.mergePaginationOption(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    public Builder clearPaginationOption() {  copyOnWrite();
      instance.clearPaginationOption();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.ListGameSessionsRequest)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "paginationOption_",
          };
          java.lang.String info =
              "\u0000\u0001\u0000\u0000\u0001\u0001\u0001\u0000\u0000\u0000\u0001\t";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.ListGameSessionsRequest)
  private static final gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest DEFAULT_INSTANCE;
  static {
    ListGameSessionsRequest defaultInstance = new ListGameSessionsRequest();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      ListGameSessionsRequest.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<ListGameSessionsRequest> PARSER;

  public static com.google.protobuf.Parser<ListGameSessionsRequest> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

